<?php
session_start();
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
//include("phpmnu_fun.php");
//++
if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
///////////////////////////////////////////////////////
$_SESSION['SYS_USER_TI']=V($_SESSION['SYS_USER_TI']);
$SYS_TIP=vbmid($_SESSION['SYS_USER_TI'],1,1);
//++++
$SYS_MSG="";
$SYS_FOC="";
$SYS_CERRAR="NO";
//++++
$IdP=V($_POST['IdP']);
if(strlen($IdP)==0){$IdP=V($_GET['IdP']);}
//+++++++
include("ges_SimpleXLSX.php");
include("ges_imp_productos_fux.php");
//++++
?>
<html >
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Importar referencias</title>
<!--INI_SCRIPT------------------------------------------------------------------------------>
<?php AddJs(); ?>
<script type="text/javascript" src="ja/funciones.js"></script>
<script type="text/javascript" src="ja/ges_imp_productos2.js"></script>
<!--FIN_SCRIPT------------------------------------->
<link rel="stylesheet" type="text/css" href="css/estiloss.css"  />
<link rel="stylesheet" type="text/css" href="css/basic.css"  />
<link rel="stylesheet" type="text/css" href="css/mnu.css"  />

<style type="text/css">
.cF {height:350px;width:600px;position:relative;top:0px}
.mM {height:34px;width:1250px;position:relative;top:0px;background-color:#09C; z-index:500;}

.tableFixHead          { overflow-y: auto; }
.tableFixHead thead th { position: sticky; top: 0; }
table  {border-collapse:collapse;width:100%;}
th, td {padding: 3px 3px;}
th     {background:#A0A0A0;}

</style>

<script>
$(document).ready(function(){  
   Inicializar();
   window.setTimeout(HABILITAR(),1000);   
   //   
   var sys_msg=gv("SYS_MSG");
   var sys_cerrar=gv("SYS_CERRAR");
   if(jL(sys_msg)>0){
	   alert(sys_msg);	   
   }
   if(sys_cerrar=="SI"){
	   window.opener.SM();
	   window.close();
   }
});
function HABILITAR(){	
	document.getElementById("bImportar").disabled=false;
	document.getElementById("Productos").disabled=false;
}
</script>
</head>

<body>
<div align="center">

<div Id="DivFRM"  class="cF" style="background-color:#FFFFFF;">
<form id="Frm" name="Frm" method="post" action="ges_imp_productos.php" enctype="multipart/form-data">
<!--INI_TITULO-->
<div id="DivT" class="dT" style="width:600px;background-color:#096">
<img src="img/xls.png" class="iT" />
<div class="tT">IMPORTAR REFERENCIAS</div>
</div>
<!--FIN_TITULO-->

<div class="s1" style="left: 35px; top: 66px; width: 554px; height: 18px;">1. Los archivos a importar deben tener el formato de <b>Libro Excel 2007</b> cuya extension es ".xlsx" </div>
<div class="s1" style="left: 35px; top: 82px; width: 554px; height: 18px;">
2. El archivos a importar deben tener el 
nombre de :</div>

<div class="s1" style="left: 50px; top: 97px; width: 121px; height: 18px;">
referencias.xlsx</div>
<div class="s1" style="left: 35px; top: 112px; width: 553px; height: 18px;">
3. Seleccionar el archivo a importar</div>

<div class="s1" style="left: 35px; top: 131px; width: 553px; height: 18px;">
<b>Importante :</b> Se validara segun serie,numero e item del invoice </div>

<div class="s1" style="left: 35px; top: 151px; width: 553px; height: 18px;">
1. Maximo 6 mil registros por excel</div>


<div  align="left"
style="position: absolute; left: 35px; top: 176px; width: 552px; height: 24px">
  <input type="hidden" name="MAX_FILE_SIZE" value="20000000" />
<input name="Productos" type="file" id="Productos"  disabled
tabindex="<?php echo ++$TI;?>"/>
</div>

<input  name="bImportar" id="bImportar"  type="button"  class="ps" 
value="Importar referencias"  disabled
onClick="fImportar();" style="left: 35px; top: 208px; width: 331px;" >


<div class="s1" style="left: 35px; top: 244px; width: 136px; height: 18px;">
<a href="plantillas/plantilla_referencias.xlsx" download>Descargar plantilla</a>
</div>

<div class="s1" style="left: 35px; top: 270px; width: 257px; height: 18px;">
Ultimo archivo procesado :
</div>

<div class="s1" style="left: 35px; top: 295px; width: 553px; height: 18px;">
<?php
//++
if(file_exists("listas/referencias.xlsx")){
	echo date ("d-m-y", filemtime("listas/referencias.xlsx")).' referencias.xlsx <a href="listas/referencias.xlsx" download="referencias.xlsx">Descargar</a>';	
}
?>
</div>
<!--INI_TABLA----->
<!--FIN_TABLA----->
<!--INI_OCULTOS-------------------------------->
<?php include("ocultos.php");?>

<input name="IdP" type="hidden" id="IdP" value="<?php echo $IdP;?>" />
<input name="SYS_MSG" type="hidden" id="SYS_MSG" value="<?php echo $SYS_MSG;?>" />
<input name="SYS_FOC" type="hidden" id="SYS_FOC" value="<?php echo $SYS_FOC;?>" />
<input name="SYS_CERRAR" type="hidden" id="SYS_CERRAR" value="<?php echo $SYS_CERRAR;?>" />
<!--FIN_OCULTOS-------------------------------->
</form>

</div>
</div>
</body>
</html>
